Axis2/C: http simple request

- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# http simple request
[http transport]

## Files
file | axis2_http_simple_request.h
| axis2 HTTP Simple Request

## Typedefs
typedef struct axis2_http_simple_request | axis2_http_simple_request_t
## Functions
AXIS2_EXTERN axis2_http_request_line_t * | axis2_http_simple_request_get_request_line (const axis2_http_simple_request_t *simple_request, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_http_simple_request_set_request_line (axis2_http_simple_request_t *simple_request, const axutil_env_t *env, axis2_http_request_line_t *request_line)
AXIS2_EXTERN axis2_bool_t | axis2_http_simple_request_contains_header (axis2_http_simple_request_t *simple_request, const axutil_env_t *env, const axis2_char_t *name)
AXIS2_EXTERN axutil_array_list_t * | axis2_http_simple_request_get_headers (const axis2_http_simple_request_t *simple_request, const axutil_env_t *env)
AXIS2_EXTERN axis2_http_header_t * | axis2_http_simple_request_get_first_header (const axis2_http_simple_request_t *simple_request, const axutil_env_t *env, const axis2_char_t *str)
AXIS2_EXTERN axis2_status_t | axis2_http_simple_request_remove_headers (axis2_http_simple_request_t *simple_request, const axutil_env_t *env, const axis2_char_t *str)
AXIS2_EXTERN axis2_status_t | axis2_http_simple_request_add_header (axis2_http_simple_request_t *simple_request, const axutil_env_t *env, axis2_http_header_t *header)
AXIS2_EXTERN const axis2_char_t * | axis2_http_simple_request_get_content_type (const axis2_http_simple_request_t *simple_request, const axutil_env_t *env)
AXIS2_EXTERN const axis2_char_t * | axis2_http_simple_request_get_charset (const axis2_http_simple_request_t *simple_request, const axutil_env_t *env)
AXIS2_EXTERN axis2_ssize_t | axis2_http_simple_request_get_content_length (const axis2_http_simple_request_t *simple_request, const axutil_env_t *env)
AXIS2_EXTERN axutil_stream_t * | axis2_http_simple_request_get_body (const axis2_http_simple_request_t *simple_request, const axutil_env_t *env)
AXIS2_EXTERN axis2_ssize_t | axis2_http_simple_request_get_body_bytes (const axis2_http_simple_request_t *simple_request, const axutil_env_t *env, char **buf)
AXIS2_EXTERN axis2_status_t | axis2_http_simple_request_set_body_string (axis2_http_simple_request_t *simple_request, const axutil_env_t *env, void *str, unsigned int str_len)
AXIS2_EXTERN void | axis2_http_simple_request_free (axis2_http_simple_request_t *simple_request, const axutil_env_t *env)
AXIS2_EXTERN axis2_http_simple_request_t * | axis2_http_simple_request_create (const axutil_env_t *env, axis2_http_request_line_t *request_line, axis2_http_header_t **http_headers, axis2_ssize_t http_hdr_count, axutil_stream_t *content)

## Typedef Documentation

typedef struct axis2_http_simple_request axis2_http_simple_request_t

Type name for struct axis2_http_simple_request

## Function Documentation

AXIS2_EXTERN axis2_status_t axis2_http_simple_request_add_header | ( | axis2_http_simple_request_t * | simple_request,
|  | const axutil_env_t * | env,
|  | axis2_http_header_t * | header |
| ) |  |  |

Parameters:

  | simple_request | pointer to simple request
  | env | pointer to environment struct
  | header | pointer to header

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_bool_t axis2_http_simple_request_contains_header | ( | axis2_http_simple_request_t * | simple_request,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | name |
| ) |  |  |

Parameters:

  | simple_request | pointer to simple request
  | env | pointer to environment struct
  | name | pointer to name

AXIS2_EXTERN axis2_http_simple_request_t* axis2_http_simple_request_create | ( | const axutil_env_t * | env,
|  | axis2_http_request_line_t * | request_line,
|  | axis2_http_header_t ** | http_headers,
|  | axis2_ssize_t | http_hdr_count,
|  | axutil_stream_t * | content |
| ) |  |  |

Parameters:

  | env | pointer to environment struct
  | request_line | pointer to request line
  | http_headers | double pointer to http headers
  | http_hdr_count |
  | content | pointer to content

AXIS2_EXTERN void axis2_http_simple_request_free | ( | axis2_http_simple_request_t * | simple_request,
|  | const axutil_env_t * | env |
| ) |  |  |

Parameters:

  | simple_request | pointer to simple request
  | env | pointer to environment struct

Returns:
  void

AXIS2_EXTERN axutil_stream_t* axis2_http_simple_request_get_body | ( | const axis2_http_simple_request_t * | simple_request,
|  | const axutil_env_t * | env |
| ) |  |  |

Parameters:

  | simple_request | pointer to simple request
  | env | pointer to environment struct

AXIS2_EXTERN axis2_ssize_t axis2_http_simple_request_get_body_bytes | ( | const axis2_http_simple_request_t * | simple_request,
|  | const axutil_env_t * | env,
|  | char ** | buf |
| ) |  |  |

Parameters:

  | simple_request | pointer to simple request
  | env | pointer to environment struct
  | buf | double pointer to buf

AXIS2_EXTERN const axis2_char_t* axis2_http_simple_request_get_charset | ( | const axis2_http_simple_request_t * | simple_request,
|  | const axutil_env_t * | env |
| ) |  |  |

Parameters:

  | simple_request | pointer to simple request
  | env | pointer to environment struct

AXIS2_EXTERN axis2_ssize_t axis2_http_simple_request_get_content_length | ( | const axis2_http_simple_request_t * | simple_request,
|  | const axutil_env_t * | env |
| ) |  |  |

Parameters:

  | simple_request | pointer to simple request
  | env | pointer to environment struct

AXIS2_EXTERN const axis2_char_t* axis2_http_simple_request_get_content_type | ( | const axis2_http_simple_request_t * | simple_request,
|  | const axutil_env_t * | env |
| ) |  |  |

Parameters:

  | simple_request | pointer to simple request
  | env | pointer to environment struct

AXIS2_EXTERN axis2_http_header_t* axis2_http_simple_request_get_first_header | ( | const axis2_http_simple_request_t * | simple_request,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | str |
| ) |  |  |

Parameters:

  | simple_request | pointer to simple request
  | env | pointer to environment struct
  | str | pointer to str

AXIS2_EXTERN axutil_array_list_t* axis2_http_simple_request_get_headers | ( | const axis2_http_simple_request_t * | simple_request,
|  | const axutil_env_t * | env |
| ) |  |  |

Parameters:

  | simple_request | pointer to simple request
  | env | pointer to environment struct

AXIS2_EXTERN axis2_http_request_line_t* axis2_http_simple_request_get_request_line | ( | const axis2_http_simple_request_t * | simple_request,
|  | const axutil_env_t * | env |
| ) |  |  |

Parameters:

  | simple_request | pointer to simple request
  | env | pointer to environment struct

AXIS2_EXTERN axis2_status_t axis2_http_simple_request_remove_headers | ( | axis2_http_simple_request_t * | simple_request,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | str |
| ) |  |  |

Parameters:

  | simple_request | pointer to simple request
  | env | pointer to environment struct
  | str | pointer to str

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_http_simple_request_set_body_string | ( | axis2_http_simple_request_t * | simple_request,
|  | const axutil_env_t * | env,
|  | void * | str,
|  | unsigned int | str_len |
| ) |  |  |

Parameters:

  | simple_request | pointer to simple request
  | env | pointer to environment struct
  | str | pointer to str

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_http_simple_request_set_request_line | ( | axis2_http_simple_request_t * | simple_request,
|  | const axutil_env_t * | env,
|  | axis2_http_request_line_t * | request_line |
| ) |  |  |

Parameters:

  | simple_request | pointer to simple request
  | env | pointer to environment struct
  | request_line | pointer to request line

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE